package kr.co.uplus.ez.api.channelMgt.dto;

import kr.co.uplus.ez.common.data.ApiResponseCode;
import kr.co.uplus.ez.common.data.ResponseMessage;
import lombok.Data;

import java.io.Serializable;

@SuppressWarnings("serial")
@Data
public class TmpltListExcelResDto extends ResponseMessage implements Serializable {

	// 데이터.
	private TmpltListRes data;

	public TmpltListExcelResDto() {
		this.retCode = ApiResponseCode.SUCCESS.getResultCode();
		this.retMsg = ApiResponseCode.SUCCESS.getResultMsg();
	}

	public TmpltListExcelResDto(ApiResponseCode returnStr) {
		this.retCode = returnStr.getResultCode();
		this.retMsg = returnStr.getResultMsg();
	}

	public TmpltListExcelResDto(ApiResponseCode returnStr, TmpltListRes data) {
		this.retCode = returnStr.getResultCode();
		this.retMsg = returnStr.getResultMsg();
		this.data = data;
	}
}
